## org.apache.http.protocol
Class HttpRequestHandlerRegistry

    java.lang.Object
      org.apache.http.protocol.HttpRequestHandlerRegistry

All Implemented Interfaces:
  HttpRequestHandlerResolver

    @ThreadSafe
    public class HttpRequestHandlerRegistry

extends Object
implements HttpRequestHandlerResolver

Maintains a map of HTTP request handlers keyed by a request URI pattern.
Patterns may have three formats:

- `*`
- `*<uri>`
- `<uri>*`

This class can be used to resolve an instance of `HttpRequestHandler` matching a particular request URI. Usually the resolved request handler will be used to process the request with the specified request URI.

Since:
  4.0

Constructor Summary
`HttpRequestHandlerRegistry()`

Method Summary
`Map<String,HttpRequestHandler>` `getHandlers()` Get the handler map.
`HttpRequestHandler` `lookup(String requestURI)` Looks up a handler matching the given request URI.
`void` `register(String pattern, HttpRequestHandler handler)` Registers the given `HttpRequestHandler` as a handler for URIs matching the given pattern.
`void` `setHandlers(Map<String,HttpRequestHandler> map)` Sets handlers from the given map.
`void` `unregister(String pattern)` Removes registered handler, if exists, for the given pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequestHandlerRegistry

    public HttpRequestHandlerRegistry()

Method Detail

### register

    public void register(String pattern,
                         HttpRequestHandler handler)

  Registers the given `HttpRequestHandler` as a handler for URIs matching the given pattern.

  Parameters:
    `pattern` - the pattern to register the handler for.
    `handler` - the handler.

### unregister

    public void unregister(String pattern)

  Removes registered handler, if exists, for the given pattern.

  Parameters:
    `pattern` - the pattern to unregister the handler for.

### setHandlers

    public void setHandlers(Map<String,HttpRequestHandler> map)

  Sets handlers from the given map.

  Parameters:
    `map` - the map containing handlers keyed by their URI patterns.

### getHandlers

    public Map<String,HttpRequestHandler> getHandlers()

  Get the handler map.

  Returns:
    The map of handlers and their associated URI patterns.
  Since:
    4.2

### lookup

    public HttpRequestHandler lookup(String requestURI)

  Description copied from interface: `HttpRequestHandlerResolver`
  Looks up a handler matching the given request URI.

  Specified by:
    `lookup` in interface `HttpRequestHandlerResolver`
  Parameters:
    `requestURI` - the request URI
  Returns:
    HTTP request handler or `null` if no match is found.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.